# $Revision: 1.3 $, $Date: 2004/10/30 16:40:57 $
Summary:	Simple diary
Summary(pl):	Prosty pamitnik
Name:		dnevnik
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.devbase.net/dnevnik/%{name}.tar.gz
# Source0-md5:	1ceb91aa6cd8b7aad673bc04c5144247
URL:		http://www.devbase.net/dnevnik/
BuildRequires:	qt-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Moj Dnevnik is a simple diary that is written in C++ using the Qt
library, so it works on Linux, *BSD, Unix, Windows, and Mac. It holds
all data in simple text file and the GUI is in Serbian.

%description -l pl
Moj Dnevnik jest prostym pamitnikiem napisanym w C++ z uyciem
biblioteki Qt, zatem dziaa pod Linuksem, *BSD, Uniksem, Windowsem
oraz Makiem. Wszystkie dane trzyma w prostym pliku tekstowym, a GUI
jest po serbsku.

%prep
%setup -q -n %{name}

sed -i -e 's/^\(CONFIG.*\)$/\1 thread/' dnevnik.pro

%build
qmake \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}"

%{__make} \
	QTDIR=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install dnevnik $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dnevnik.spec,v $
Revision 1.3  2004/10/30 16:40:57  qboosh
- use qt-mt, release 2

Revision 1.2  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.1  2004/03/03 19:51:01  gotar
- initial PLD release
